Subject: bug#12055: Re: Re: bug#12055: 24.1.50; Characters "á" and "é" are not correctly displayed on a Windows terminal

From: Eli Zaretskii <[email-masked]>
Date: Thu, 26 Jul 2012 20:18:45 +0300

> From: Juanma Barranquero <[email-masked]>
> Date: Thu, 26 Jul 2012 18:49:33 +0200
> Cc: [email-masked], [email-masked]
> 
> On Thu, Jul 26, 2012 at 6:42 PM, Eli Zaretskii <[email-masked]> wrote:
> 
> > Does it help to say
> >
> >   C-x RET t cp850 RET
> >   C-x RET k cp850 RET
> >
> > before typing those characters?  Do they display correctly then, and
> > most importantly, does "C-u C-x =" report in that case the characters
> > you really intended to type?
> 
> No. The problem worsens. Now á é are still incorrect, and  í ó ú ñ ç
> turn into ¡ ¢ £ ¤‡ \207

What are the codes of these characters, as "C-u C-x =" sees them?

> Note: I see that at some point in the past I surely hit the problem
> and for some reason I failed to report it, because I have this in my
> .emacs:
> 
> (unless (or window-system noninteractive
>             (not (boundp 'w32-ansi-code-page)))
>   (let ((cicp (w32-get-console-codepage))
>         (cocp (w32-get-console-output-codepage)))
>     (w32-set-console-codepage w32-ansi-code-page)
>     (w32-set-console-output-codepage w32-ansi-code-page)
>     (add-hook 'kill-emacs-hook
>               `(lambda ()
>                  (w32-set-console-codepage ,cicp)
>                  (w32-set-console-output-codepage ,cocp)))))
> 
> though that's irrelevant to the tests above, which are all -Q -nw.

Does the above solve the problem at hand, though?  If it does, we can
do that at startup in the -nw session.